local loader_techs = {
  ["logistics"] = "loader",
  ["logistics-2"] = "fast-loader",
  ["logistics-3"] = "express-loader",
  ["logistics-3"] = "purple-loader",
  ["logistics-3"] = "green-loader",
}


for i, force in pairs(game.forces) do 
  force.reset_recipes()
  force.reset_technologies()
  
  for tech, recipe in pairs(loader_techs) do
    if force.technologies[tech] then 
      if force.technologies[tech].researched then 
        force.recipes[recipe].enabled = true
      else
        force.recipes[recipe].enabled = false
      end
    end
  end  
end
